Subject: bug#6137: closed (Re: bug#6137: [Yuriy Vostrikov] emacs, vc-git)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 30 Nov 2012 07:46:03 +0000

Your bug report

#6137: [Yuriy Vostrikov] emacs, vc-git

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6137: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6137
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6137: [Yuriy Vostrikov] emacs, vc-git
From: Chong Yidong <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Yuriy Vostrikov <[email-masked]>, [email-masked]
Date: Fri, 30 Nov 2012 15:43:38 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier <[email-masked]> writes:

> [ I do not use Git enough to be sure if his patch is the right way to
>   fix it.  It does look OK, tho maybe the right (but harder) place to
>   fix it is in Tramp.  Can someone take a look and install it?  --Stef  ]
>
> Hello.
> You are last commiter of vc-git.el so i'm writing to you.
>
> It's probably a good idea to forcefully disable pager then calling git
> command from vc-git.el.  If buffer is tramp controlled then git will
> be run on remote host by tramp magic. In this particular case git
> stdout will be connected to pty instead of pipe and default git
> behavior to call $PAGER in this case.  Which is effectively makes
> vc-git broken on tramp controlled buffers.  Patch is attached.

Since no one's done anything about this, and the fix looks OK, I've
committed it to trunk.

Subject: [Yuriy Vostrikov] emacs, vc-git
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Cc: Yuriy Vostrikov <[email-masked]>
Date: Fri, 07 May 2010 16:41:15 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

[ I do not use Git enough to be sure if his patch is the right way to
  fix it.  It does look OK, tho maybe the right (but harder) place to
  fix it is in Tramp.  Can someone take a look and install it?  --Stef  ]

Hello.
You are last commiter of vc-git.el so i'm writing to you.

It's probably a good idea to forcefully disable pager then calling git
command from vc-git.el.
If buffer is tramp controlled then git will be run on remote host by
tramp magic. In this particular case
git stdout will be connected to pty instead of pipe and default git
behavior to call $PAGER in this case.
Which is effectively makes vc-git broken on tramp controlled buffers.
Patch is attached.

=== modified file 'lisp/vc-git.el'
--- lisp/vc-git.el	2010-04-21 02:05:24 +0000
+++ lisp/vc-git.el	2010-05-05 09:28:56 +0000
@@ -966,7 +966,7 @@
 (defun vc-git-command (buffer okstatus file-or-list &rest flags)
   "A wrapper around `vc-do-command' for use in vc-git.el.
 The difference to vc-do-command is that this function always invokes `git'."
-  (apply 'vc-do-command (or buffer "*vc*") okstatus "git" file-or-list flags))
+    (apply 'vc-do-command (or buffer "*vc*") okstatus "git" file-or-list (cons "--no-pager" flags)))
 
 (defun vc-git--empty-db-p ()
   "Check if the git db is empty (no commit done yet)."